import Joi from 'joi';
import { Algorithm, AuthBaseToken } from './auth-base-token';
import { BaseIdToken } from './auth-type';
export declare type AuthIdRefreshTokenClaim = BaseIdToken & {
    uuid: string;
};
export declare const schemaAuthIdRefreshTokenClaim: {
    uuid: Joi.StringSchema;
    userId: Joi.NumberSchema;
    userLogin: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    orgId: Joi.NumberSchema;
    appDomain: Joi.StringSchema;
    productId: Joi.NumberSchema;
};
export declare class AuthIdRefreshToken extends AuthBaseToken<AuthIdRefreshTokenClaim> {
    private static self;
    private constructor();
    static init(secret: string, expiresIn: string | number, algorithm?: Algorithm): typeof AuthIdRefreshToken;
    static term(): void;
    static get instance(): AuthIdRefreshToken;
    static get isEnabled(): boolean;
    get expiresIn(): string | number;
    static decode(token: string): AuthIdRefreshTokenClaim;
}
