import Joi from 'joi';
import { PackRule } from '@casl/ability/extra';
import { BaseIdToken } from './auth-type';
import { AppDomain } from '../';
export declare const _rules: Joi.AlternativesSchema;
export declare type VerifyIdToken = BaseIdToken & {
    rules?: PackRule<any>[];
};
export declare const schemaVerifyIdToken: {
    rules: Joi.AlternativesSchema;
    userId: Joi.NumberSchema;
    userLogin: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    orgId: Joi.NumberSchema;
    appDomain: Joi.StringSchema;
    productId: Joi.NumberSchema;
};
export declare type BearerMetadata = {
    orgId: number;
    appDomain: AppDomain;
    productId: number;
};
export declare type AuthBearerVerify = (token: string, metadata: BearerMetadata) => Promise<VerifyIdToken>;
export declare type BasicMetadata = {
    username: string;
    password: string;
    orgId: number;
    appDomain: AppDomain;
    productId: number;
};
export declare type AuthBasicVerify = (metadata: BasicMetadata) => Promise<VerifyIdToken>;
