"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateAbilityFromPackedRules = exports.generateAbility = exports.schemaBaseIdToken = exports.AuthTokenType = void 0;
const ability_1 = require("@casl/ability");
const extra_1 = require("@casl/ability/extra");
const type_1 = require("../type");
var AuthTokenType;
(function (AuthTokenType) {
    AuthTokenType["Bearer"] = "Bearer";
    AuthTokenType["Basic"] = "Basic";
})(AuthTokenType = exports.AuthTokenType || (exports.AuthTokenType = {}));
exports.schemaBaseIdToken = {
    userId: type_1._id.required(),
    userLogin: type_1._userLogin.required(),
    localeCode: type_1._localeCode.required(),
    orgId: type_1._id.allow(null),
    appDomain: type_1._appDomain.allow(null),
    productId: type_1._id.allow(null)
};
function generateAbility(rules) {
    const ability = new ability_1.Ability();
    if (0 < rules?.length) {
        ability.update(rules);
    }
    return ability;
}
exports.generateAbility = generateAbility;
function generateAbilityFromPackedRules(rules) {
    const ability = new ability_1.Ability();
    if (0 < rules?.length) {
        ability.update((0, extra_1.unpackRules)(rules));
    }
    return ability;
}
exports.generateAbilityFromPackedRules = generateAbilityFromPackedRules;
//# sourceMappingURL=auth-type.js.map